.responsive-value {
  font-size: 14px;
  color: rgb(var(--bs-gray-800-rgb));

  .device-icon {
    width: calc(25px + $input-padding-x);
    line-height: $input-line-height;
    text-align: center;
    border: 1px solid rgb(var(--bs-blue-100-rgb));
    border-right: 0;
    background-color: rgb(var(--bs-white-rgb));
    font-size: 1em;
    padding-top: $input-padding-y;
    padding-bottom: $input-padding-y;
    padding-left: $input-padding-x;
  }

  .icon {
    width: 25px;
    text-align: center;
  }

  .heading {
    .label {
      font-weight: bold;
      padding-top: $input-padding-y;
      font-size: $form-text-font-size;
      color: rgb(var(--bs-blue-700-rgb));
      line-height: 1.82em;
    }
  }

  .input-label {
    font-weight: bold;
    padding-left: $input-padding-x;
    font-size: $form-text-font-size * 0.9;
    color: rgb(var(--bs-blue-600-rgb));
    line-height: 1.82em;
  }

  .responsive-value-item {
    border: 3px solid transparent;
    transition: border 0.2s ease-in-out;

    &:hover {
      border: 3px solid rgb(var(--bs-blue-300-rgb));
    }

    .form-select,
    .form-control {
      border-left: 0;
    }
  }

  .form-select,
  .form-control,
  .ember-power-select-trigger {
    font-size: 1em;
    border: 1px solid rgb(var(--bs-blue-100-rgb));
    border-radius: 0;
    background-color: rgba(var(--bs-white-rgb), 0.3);

    &:hover {
      background-color: rgba(var(--bs-blue-100-rgb), 0.3);
    }
  }

  *:focus {
    box-shadow: none;
  }
}
